ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-9280) Ambari upgrade 1.4.4->2.0.0 fails
Date Mon, 02 Feb 2015 22:55:09 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-9280?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14302207#comment-14302207
] 

Hudson commented on AMBARI-9280:
--------------------------------

FAILURE: Integrated in Ambari-trunk-Commit-docker #841 (See [https://builds.apache.org/job/Ambari-trunk-Commit-docker/841/])
AMBARI-9280. Ambari upgrade 1.4.4->2.0.0 fails (dlysnichenko) (dlysnichenko: http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=77ae28e8410ae2141c5140f8b72cca9e5e7983c8)
* ambari-server/src/main/python/ambari_server/serverConfiguration.py


> Ambari upgrade 1.4.4->2.0.0 fails
> ---------------------------------
>
>                 Key: AMBARI-9280
>                 URL: https://issues.apache.org/jira/browse/AMBARI-9280
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.0.0
>         Environment: CentOS 6
> postgresql
> ambari-server --hash
> f37d999664c5540478a053c21ddd311ed98c5b61
>            Reporter: Dmitry Lysnichenko
>            Assignee: Dmitry Lysnichenko
>             Fix For: 2.0.0
>
>
> STR:
> Install ambari 1.4.4 (default installation)
> Upgrade to ambari 2.0.0
> {code}
> Selected JDK /usr/jdk64/jdk1.6.0_31
> ERROR: Error executing schema upgrade, please check the server logs.
> ERROR: Ambari server upgrade failed. Please look at /var/log/ambari-server/ambari-server.log,
for more details.
> ERROR: Exiting with exit code 11.
> REASON: Schema upgrade failed.
> {code}
> ambari-server.log:
> {code}
> 16:38:57,268  INFO [main] DBAccessorImpl:529 - Executing query: ALTER TABLE hostcomponentdesiredstate
ADD maintenance_state VARCHAR(32)
> 16:38:57,272 ERROR [main] DBAccessorImpl:535 - Error executing query: ALTER TABLE hostcomponentdesiredstate
ADD maintenance_state VARCHAR(32)
> org.postgresql.util.PSQLException: ERROR: must be owner of relation hostcomponentdesiredstate
>         at org.postgresql.core.v3.QueryExecutorImpl.receiveErrorResponse(QueryExecutorImpl.java:2161)
>         at org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:1890)
>         at org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:255)
>         at org.postgresql.jdbc2.AbstractJdbc2Statement.execute(AbstractJdbc2Statement.java:559)
>         at org.postgresql.jdbc2.AbstractJdbc2Statement.executeWithFlags(AbstractJdbc2Statement.java:403)
>         at org.postgresql.jdbc2.AbstractJdbc2Statement.execute(AbstractJdbc2Statement.java:395)
>         at org.apache.ambari.server.orm.DBAccessorImpl.executeQuery(DBAccessorImpl.java:532)
>         at org.apache.ambari.server.orm.DBAccessorImpl.executeQuery(DBAccessorImpl.java:518)
>         at org.apache.ambari.server.orm.DBAccessorImpl.addColumn(DBAccessorImpl.java:384)
>         at org.apache.ambari.server.upgrade.UpgradeCatalog150.executeDDLUpdates(UpgradeCatalog150.java:262)
>         at org.apache.ambari.server.upgrade.AbstractUpgradeCatalog.upgradeSchema(AbstractUpgradeCatalog.java:383)
>         at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executeUpgrade(SchemaUpgradeHelper.java:185)
>         at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.main(SchemaUpgradeHelper.java:245)
> 16:38:57,273 ERROR [main] SchemaUpgradeHelper:187 - Upgrade failed.
> org.postgresql.util.PSQLException: ERROR: must be owner of relation hostcomponentdesiredstate
>         at org.postgresql.core.v3.QueryExecutorImpl.receiveErrorResponse(QueryExecutorImpl.java:2161)
>         at org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:1890)
>         at org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:255)
>         at org.postgresql.jdbc2.AbstractJdbc2Statement.execute(AbstractJdbc2Statement.java:559)
>         at org.postgresql.jdbc2.AbstractJdbc2Statement.executeWithFlags(AbstractJdbc2Statement.java:403)
>         at org.postgresql.jdbc2.AbstractJdbc2Statement.execute(AbstractJdbc2Statement.java:395)
>         at org.apache.ambari.server.orm.DBAccessorImpl.executeQuery(DBAccessorImpl.java:532)
>         at org.apache.ambari.server.orm.DBAccessorImpl.executeQuery(DBAccessorImpl.java:518)
>         at org.apache.ambari.server.orm.DBAccessorImpl.addColumn(DBAccessorImpl.java:384)
>         at org.apache.ambari.server.upgrade.UpgradeCatalog150.executeDDLUpdates(UpgradeCatalog150.java:262)
>         at org.apache.ambari.server.upgrade.AbstractUpgradeCatalog.upgradeSchema(AbstractUpgradeCatalog.java:383)
>         at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executeUpgrade(SchemaUpgradeHelper.java:185)
>         at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.main(SchemaUpgradeHelper.java:245)
> 16:38:57,274 ERROR [main] SchemaUpgradeHelper:258 - Exception occured during upgrade,
failed
> org.apache.ambari.server.AmbariException: ERROR: must be owner of relation hostcomponentdesiredstate
>         at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executeUpgrade(SchemaUpgradeHelper.java:188)
>         at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.main(SchemaUpgradeHelper.java:245)
> Caused by: org.postgresql.util.PSQLException: ERROR: must be owner of relation hostcomponentdesiredstate
>         at org.postgresql.core.v3.QueryExecutorImpl.receiveErrorResponse(QueryExecutorImpl.java:2161)
>         at org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:1890)
>         at org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:255)
>         at org.postgresql.jdbc2.AbstractJdbc2Statement.execute(AbstractJdbc2Statement.java:559)
>         at org.postgresql.jdbc2.AbstractJdbc2Statement.executeWithFlags(AbstractJdbc2Statement.java:403)
>         at org.postgresql.jdbc2.AbstractJdbc2Statement.execute(AbstractJdbc2Statement.java:395)
>         at org.apache.ambari.server.orm.DBAccessorImpl.executeQuery(DBAccessorImpl.java:532)
>         at org.apache.ambari.server.orm.DBAccessorImpl.executeQuery(DBAccessorImpl.java:518)
>         at org.apache.ambari.server.orm.DBAccessorImpl.addColumn(DBAccessorImpl.java:384)
>         at org.apache.ambari.server.upgrade.UpgradeCatalog150.executeDDLUpdates(UpgradeCatalog150.java:262)
>         at org.apache.ambari.server.upgrade.AbstractUpgradeCatalog.upgradeSchema(AbstractUpgradeCatalog.java:383)
>         at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executeUpgrade(SchemaUpgradeHelper.java:185)
>         ... 1 more
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message